--- title: "Get Live Stats of the Grid" url: https://docs.catalyst.zoho.com/en/api/code-reference/smartbrowz/browser-grid/live-stats-grid/ description: "This API enables you to get live stats of a specific grid's performance." last_updated: 2026-08-28T06:26:16Z service: SmartBrowz type: api --- ## Get Live Stats of the Grid ### Description You can use this API to get live stats of a specific grid's performance. The required grid will be referred to using its [Grid ID](https://docs.catalyst.zoho.com/en/smartbrowz/help/browser-grid/create-grid/). ### Request Details #### Request URL `GET` {api-domain}/browser360/v1/project/{project_id}/browser-grid/{grid_id}/stats?data_to_fetch=live_stats - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **grid_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/smartbrowz/help/browser-grid/create-grid/) to refer to the required grid #### Scope ZohoCatalyst.grid.read #### Request Headers for API Using OAuth **Authorization:** Zoho-oauthtoken {oauth_token} **Content-Type:** application/json **CATALYST-ORG:** Provide the value of your [Org ID](https://docs.catalyst.zoho.com/en/getting-started/catalyst-organizations/). #### Request Headers for API Using API Key **Authorization** **api-key:** The unique key generated by Catalyst. It can be [retrieved from the console](https://docs.catalyst.zoho.com/en/smartbrowz/help/browser-grid/create-grid/). ### Response Details You will receive a response containing live stats of a specific grid referred to using its Grid ID. > **Notice:** Any Browser action or operation that you code using the Browser Logic function, or any browser automation or web scraping task that you perform using any component of **Catalyst SmartBrowz** is at your own risk. We strongly recommend you use the SmartBrowz components to perform operations on domains that permit the actions, or with proper approval. Additionally, while Catalyst does provide a secure infrastructure to code your functions, any consequence of the logic you code using Catalyst functions is yours alone. **CURL Request - Get Live Stats of a Grid Using OAuth** ```json curl -X GET 'https://api.catalyst.zoho.com/browser360/v1/project/38119000000022053/browser-grid/3970000000005013/stats?data_to_fetch=live_stats' \ -H 'Authorization: Zoho-oauthtoken 1000*************************************f780' \ -H 'CATALYST-ORG: 111737956' ``` **CURL Request - Get Live Stats of a Grid Using API Key** ```json curl -X GET / 'https://api.catalyst.zoho.com/browser360/v1/project/38119000000022053/browser-grid/3970000000005013/stats?data_to_fetch=live_stats' \ -H 'api-key: 961***********************************************************************7049' ``` **Example Response** ```json { "status": "success", "data": { "free_sessions": 5, "session_queue_size": 0, "node_count": 0, "session_count": 0, "is_hub_alive": false } } ``` ### SDK Documentation [Browser Grid - Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/smartbrowz/browser-grid/overview/) [Browser Grid - Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/smartbrowz/browser-grid/overview/) [Browser Grid - Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/smartbrowz/browser-grid/overview/)